import { IContentManager, IEditorCore } from '../../typings';
export declare class ContentManager extends IContentManager {
    protected _editorElement: HTMLElement;
    private _editor;
    constructor(element: HTMLElement, editor: IEditorCore);
    insertEmptyPara(): void;
    calcTextCount(): number;
    getContent(): string;
    getHtml(): string;
    setContent(content: string): void;
    setHtml(content: string): void;
    appendContent(content: string | string[], cb?: (para: HTMLElement) => void): void;
    insert(content: string | Node): void;
    delete(): void;
    update(content: string | Node): void;
    getParas(): HTMLElement[];
    getTextContent(): string[];
    private _insert;
    private _delete;
    private _update;
    /**
     * 将 fragment 插入到 range 所在 contenteditable 的上一个 <p> 元素末尾
     * @param {Range} range - 当前的 Range 对象
     */
    private _calcRange;
}
